Bug 1261652 - [abrt] WARNING: CPU: 0 PID: 4105 at drivers/gpu/drm/drm_crtc.c:5011 drm_mode_page_flip_ioctl+0x27b/0x360 [drm]() [drm] [NEEDINFO]
[abrt] WARNING: CPU: 0 PID: 4105 at drivers/gpu/drm/drm_crtc.c:5011 drm_mode_...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:0bda5af8eae6c23ca00cdcedf63...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-09 16:59 EDT by Neil
Modified: 2015-11-23 12:13 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 12:13:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)
File: dmesg (112.50 KB, text/plain)
2015-09-09 16:59 EDT, Neil
no flags Details
dmesg [crash] (116.94 KB, text/plain)
2015-09-09 17:07 EDT, Neil
no flags Details

  None (edit)
Description Neil 2015-09-09 16:59:54 EDT
Additional info:
reporter:       libreport-2.6.2
WARNING: CPU: 0 PID: 4105 at drivers/gpu/drm/drm_crtc.c:5011 drm_mode_page_flip_ioctl+0x27b/0x360 [drm]()
Modules linked in: rfcomm fuse ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep intel_rapl iosf_mbi x86_pkg_temp_thermal coretemp arc4 snd_hda_codec_hdmi brcmsmac cordic brcmutil snd_hda_codec_idt kvm b43 snd_hda_codec_generic mac80211 snd_hda_intel snd_hda_controller cfg80211 snd_hda_codec snd_hda_core snd_hwdep crct10dif_pclmul crc32_pclmul ghash_clmulni_intel snd_seq snd_seq_device ssb btusb uvcvideo btbcm btintel bluetooth videobuf2_vmalloc videobuf2_core hp_wmi videobuf2_memops v4l2_common videodev sparse_keymap rfkill media iTCO_wdt snd_pcm iTCO_vendor_support bcma rtsx_pci_ms
 memstick i2c_i801 wmi snd_timer mei_me lpc_ich shpchp snd soundcore mei hp_wireless btrfs xor raid6_pq i915 rtsx_pci_sdmmc mmc_core i2c_algo_bit drm_kms_helper drm crc32c_intel serio_raw r8169 rtsx_pci mfd_core mii video analog gameport joydev
CPU: 0 PID: 4105 Comm: Xorg Not tainted 4.1.6-200.fc22.x86_64 #1
Hardware name: Hewlett-Packard HP Pavilion g4 Notebook PC      /166D, BIOS F.66 01/24/2013
 0000000000000000 00000000c3371f68 ffff8800a07b7cc8 ffffffff8179b97d
 0000000000000000 0000000000000000 ffff8800a07b7d08 ffffffff810a165a
 ffff8800fffffffb ffff8800a07b7dc0 ffff88014a63c060 0000000000000000
Call Trace:
 [<ffffffff8179b97d>] dump_stack+0x45/0x57
 [<ffffffff810a165a>] warn_slowpath_common+0x8a/0xc0
 [<ffffffff810a178a>] warn_slowpath_null+0x1a/0x20
 [<ffffffffa009dd5b>] drm_mode_page_flip_ioctl+0x27b/0x360 [drm]
 [<ffffffff810ce770>] ? wake_up_state+0x20/0x20
 [<ffffffffa008c9df>] drm_ioctl+0x12f/0x620 [drm]
 [<ffffffffa009dae0>] ? drm_mode_gamma_get_ioctl+0xf0/0xf0 [drm]
 [<ffffffff8110be3c>] ? __hrtimer_start_range_ns+0x2ac/0x430
 [<ffffffff8123fcf6>] do_vfs_ioctl+0x2c6/0x4d0
 [<ffffffff8123ff81>] SyS_ioctl+0x81/0xa0
 [<ffffffff817a1f2e>] system_call_fastpath+0x12/0x71
Comment 1 Neil 2015-09-09 16:59:59 EDT
Created attachment 1071924 [details]
File: dmesg
Comment 2 Neil 2015-09-09 17:07:53 EDT
Created attachment 1071925 [details]
dmesg [crash]

I was using Firefox (Full window mode) and after some freezing X crashed.

I also get weird noises in my laptop when using MPV or Desmume, both have frame drops after the noises.


(I tested MPV and Desmume for several hours in LinuxMintDebianEdition and I had no issues)
Comment 3 Neil 2015-09-09 17:19:05 EDT
No noises so far when testing for 1 hour and 30 minutes on Windows/VLC and Ubuntu/Totem

Already tested in Fedora 22 workstation live usb, and I can reproduce this after 5-20 minutes using totem.



I don't see my laptop being involved. Sadly, I don't know how you guys can reproduce this.
Comment 4 Justin M. Forbes 2015-10-20 15:23:43 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 22 kernel bugs.

Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 23, and are still experiencing this issue, please change the version to Fedora 23.

If you experience different issues, please open a new bug report for those.
Comment 5 Fedora Kernel Team 2015-11-23 12:13:15 EST
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.